{
  "content_security_policy": {
    "extension_pages": "script-src 'self'; object-src 'self'"
  },
  "name": "AutoShopee Kit",
  "short_name": "AutoShopee Kit",
  "author": "AutoShopee Team",
  "default_locale": "vi",
  "version": "3.30",
  "manifest_version": 3,
  "description": "Giải pháp cho nhà bán hàng Shopee",
  "homepage_url": "https://kit.autoshopee.com",
  "icons": {
    "48": "icons/icon_48.png",
    "128": "icons/icon_128.png"
  },
  "action": {
    "default_title": "AutoShopee Kit",
    "default_popup": "popup.html"
  },
  "options_ui": {
    "page": "options.html",
    "open_in_tab": true,
    "browser_style": true
  },
  "background": {
    "scripts": [
      "js/background.js"
    ]
  },
  "content_scripts": [
    {
      "matches": [
        "<all_urls>"
      ],
      "js": [
        "js/content/all/ping.js",
        "js/content/all/listener.js"
      ]
    },
    {
      "matches": [
        "https://shopee.vn/*"
      ],
      "js": [
        "js/content/shopee/client/loader.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/*"
      ],
      "js": [
        "js/content/shopee/seller/loader.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/portal/sale/order/*"
      ],
      "js": [
        "js/content/shopee/seller/order.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/portal/marketing/*"
      ],
      "js": [
        "js/content/shopee/seller/marketing.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/portal/marketing/pas/*"
      ],
      "js": [
        "js/content/shopee/seller/ads.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/webchat/*"
      ],
      "js": [
        "js/content/shopee/seller/chat.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/portal/product/*"
      ],
      "js": [
        "js/content/shopee/seller/product.js"
      ]
    },
    {
      "matches": [
        "https://banhang.shopee.vn/awbprint*"
      ],
      "js": [
        "js/content/shopee/seller/print.js"
      ],
      "run_at": "document_end"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": [
        "js/content/shopee/script/fetch.js"
      ],
      "matches": [
        "https://shopee.vn/*",
        "https://banhang.shopee.vn/*"
      ]
    }
  ],
  "permissions": [
    "storage",
    "tabs",
    "alarms",
    "webRequest",
    "webRequestBlocking",
    "notifications",
    "cookies"
  ],
  "host_permissions": [
    "https://*.autoshopee.com/*",
    "https://*.tiki.vn/*",
    "https://*.tiktok.com/*",
    "https://*.lazada.sg/*",
    "https://*.lazada.vn/*",
    "https://*.shopee.sg/*",
    "https://*.shopee.com.my/*",
    "https://*.shopee.ph/*",
    "https://*.shopee.co.id/*",
    "https://*.shopee.tw/*",
    "https://*.shopee.co.th/*",
    "https://*.shopee.vn/*",
    "https://*.shopee.com.br/*",
    "https://*.lazada.co.id/*",
    "https://*.lazada.com.my/*",
    "https://*.lazada.com.ph/*",
    "https://*.lazada.sg/*",
    "https://*.lazada.co.th/*",
    "https://*.lazada.vn/*"
  ],
  "browser_specific_settings": {
    "gecko": {
      "id": "{8022593c-73bb-441f-b9ff-cbaaf909c82d}"
    }
  }
}